<cfset caller.ups_name="Ground">
<!--- 
now we get the specific weight/rate record 
--->
<cfquery 
	datasource="#attributes.SiteDSN#" 
	name="RateGrab" 
	maxrows="1" 
	username="#request.UPSRUName#" 
	password="#request.UPSRPWD#">
	SELECT
		ups_gndres.Weight,
		ups_gndres.Zone2,
		ups_gndres.Zone3,
		ups_gndres.Zone4,
		ups_gndres.Zone5,
		ups_gndres.Zone6,
		ups_gndres.Zone7,
		ups_gndres.Zone8
	FROM ups_gndres
	WHERE 
		ups_gndres.Weight <= 
		<cfqueryparam cfsqltype="CF_SQL_NUMERIC" value="#attributes.ShipWeight#">
	ORDER BY 
		ups_gndres.Weight DESC
</cfquery>
<!--- 
Now we pull the rate itself from the service database 
--->
<cfswitch expression="#ZoneGrab.Ground#">
	<cfcase value="2"><cfset caller.ups_Charge=RateGrab.Zone2></cfcase>
	<cfcase value="3"><cfset caller.ups_Charge=RateGrab.Zone3></cfcase>
	<cfcase value="4"><cfset caller.ups_Charge=RateGrab.Zone4></cfcase>
	<cfcase value="5"><cfset caller.ups_Charge=RateGrab.Zone5></cfcase>
	<cfcase value="6"><cfset caller.ups_Charge=RateGrab.Zone6></cfcase>
	<cfcase value="7"><cfset caller.ups_Charge=RateGrab.Zone7></cfcase>
	<cfcase value="8"><cfset caller.ups_Charge=RateGrab.Zone8></cfcase>
	<cfcase value="-">
		<!--- 
		service not available here.  No explanation given 
		--->
		<cfset caller.ups_Error="The shipping service you requested is unavailable in your area.">
	</cfcase>
</cfswitch>
<!--- 
test for and include the Extended Area and Residential surcharges if applicable 
--->
<cfinclude template="inc_xarea.cfm">
<cfif caller.ups_Charge GT 0 and Xarea.RecordCount GT 0>
	<cfset caller.ups_Charge=caller.ups_Charge+attributes.GndResDASCharge>
</cfif>
