<cfquery datasource="#datasource#" name="product_detail">
SELECT Products.*,ProdPics.* FROM Products 
INNER JOIN ProdPics ON Products.ItemID=ProdPics.ItemID  
WHERE Products.ItemID = <cfqueryparam value="#item_number#" cfsqltype="CF_SQL_NUMERIC">
</cfquery>


<!--- ***************** PAGE HEADER INCLUDE ******************* --->
<cfinclude template="page_header.cfm">
<!--- ***************** PAGE HEADER INCLUDE ******************* --->

<cfoutput>
		<form target="paypal" action="https://www.paypal.com/cgi-bin/webscr" method="post">
		<input type="hidden" name="add" value="1">
		<input type="hidden" name="cmd" value="_cart">
		<input type="hidden" name="item_name" value="#product_detail.ItemName#">
		<input type="hidden" name="item_number" value="#item_number#">
		<input type="hidden" name="return" value="#storeurl#/thanks_pp.cfm">
		<input type="hidden" name="cancel" value="#storeurl#">
		<input type="hidden" name="business" value="#getParams.notifyemail#">
</cfoutput>

<cfoutput query="product_detail">
<input type="hidden" name="amount" VALUE="#TRIM(NumberFormat(product_detail.Price,"999,999.99"))#">
<cfif #LEN(A1)# GT 0>
<input type="hidden" name="on0" VALUE="#A1#">
</cfif>
<cfif #LEN(A2)# GT 0>
<input type="hidden" name="on1" VALUE="#A2#">
</cfif>

<center>
<table cellspacing="0" cellpadding="5" border="0" width="60%">

<!--- ************************************* --->
<!--- THIS IS THE TABLE CODE FOR LAYOUT "L" --->
<!--- ************************************* --->

<tr>
<cfif #parameterexists(ItemPic)#>

<cfif #product_detail.Layout# IS "L">

<td colspan="3" valign="bottom"><img src="#getParams.store_url#/images/#ItemPic#"></td>
<td colspan="4" valign="bottom"><font class="text">#Description#</font></td></tr>

<tr><td colspan="7"><font class="boldtext">#ItemName#</font> &nbsp;&nbsp;&nbsp;<font class="text"><cfif #product_detail.Show_Inventory# IS 1>(Qty in stock: #Qty_In_Stock#)</cfif></font></td></tr>

<!--- END LAYOUT "L" --->

<cfelseif #product_detail.Layout# IS "R">

<!--- ************************************* --->
<!--- THIS IS THE TABLE CODE FOR LAYOUT "R" --->
<!--- ************************************* --->

<td colspan="4" valign="bottom"><font class="text">#Description#</font></td><td colspan="3" valign="bottom"><img src="#getParams.store_url#/images/#ItemPic#"></td></tr>

<tr><td colspan="7"><font class="boldtext">#ItemName#</font> &nbsp;&nbsp;&nbsp;<font class="text"><cfif #product_detail.Show_Inventory# IS 1>(Qty in stock: #Qty_In_Stock#)</cfif></font></td></tr>

<!--- END LAYOUT "R" --->

<cfelseif #product_detail.Layout# IS "T">

<!--- ************************************* --->
<!--- THIS IS THE TABLE CODE FOR LAYOUT "T" --->
<!--- ************************************* --->

<td colspan="7" valign="bottom"><img src="#getParams.store_url#/images/#ItemPic#"></td></tr>
<tr><td colspan="7" valign="bottom"><font class="text">#Description#</font></td></tr>
<tr><td colspan="7"><font class="boldtext">#ItemName#</font> &nbsp;&nbsp;&nbsp;<font class="text"><cfif #product_detail.Show_Inventory# IS 1>(Qty in stock: #Qty_In_Stock#)</cfif></font></td></tr>

<!--- END LAYOUT "T" --->

<cfelseif #product_detail.Layout# IS "B">

<!--- ************************************* --->
<!--- THIS IS THE TABLE CODE FOR LAYOUT "B" --->
<!--- ************************************* --->

<td colspan="7" valign="bottom"><font class="text">#Description#</font></td></tr>
<tr><td colspan="7" valign="bottom"><img src="#getParams.store_url#/images/#ItemPic#"></td></tr>
<tr><td colspan="7"><font class="boldtext">#ItemName#</font> &nbsp;&nbsp;&nbsp;<font class="text"><cfif #product_detail.Show_Inventory# IS 1>(Qty in stock: #Qty_In_Stock#)</cfif></font></td></tr>

<!--- END LAYOUT "B" --->

</cfif>



<cfelse><td colspan="7" width="30%"><font class="text">#Description#</font></td></cfif>
</tr>


</cfoutput>
<tr>
<cfif NOT #product_detail.A1Vals# CONTAINS "$" AND NOT #product_detail.A2Vals# CONTAINS "$">
<td width="15%"><font class="boldtext">Price</font></td>
</cfif>
<cfoutput query="product_detail">
<!-- td width="15%"><font class="boldtext">Qty</font></td -->
<td><font class="boldtext"><cfif #LEN(product_detail.A1)# GT 0>#product_detail.A1#<cfelse>&nbsp;</cfif></font></td>
<td><font class="boldtext"><cfif #LEN(product_detail.A2)# GT 0>#product_detail.A2#<cfelse>&nbsp;</cfif></font></td>
<td colspan="3" width="50%">&nbsp;</td>
</cfoutput>
</tr>


<cfoutput query="product_detail">
<tr>
<cfif NOT #A1Vals# CONTAINS "$" AND NOT #A2Vals# CONTAINS "$">
<td bgcolor="E2E2E2" nowrap><font class="text">#TRIM(NumberFormat(Price,"$999,999,999.99"))#</font></td>
</cfif>
<!-- td bgcolor="E2E2E2" nowrap><font class="text"><input type="text" name="qty" value=1 size="3"> <cfif #LEN(Units)# GT 0>#Units#</cfif></font></td -->
</cfoutput>

<cfif #LEN(product_detail.A1)# GT 0>
<td bgcolor="E2E2E2" width="15%">
<select name="os0">
	<cfset attarray = #ListToArray(product_detail.A1Vals, ",")#> 
	<CFLOOP index=i FROM=1 TO=#ArrayLen(attarray)#>
	<cfoutput>
	<option>#attarray[i]#</option>
	</cfoutput>
	</cfloop>
</select>
</td>
<cfelse>
<td bgcolor="E2E2E2">&nbsp;</td>
</cfif>

<cfif #LEN(product_detail.A2)# GT 0>
<td bgcolor="E2E2E2">
<select name="os1">
	<cfset attarray2 = #ListToArray(product_detail.A2Vals, ",")#> 
	<CFLOOP index=i FROM=1 TO=#ArrayLen(attarray2)#>
	<cfoutput>
	<option>#attarray2[i]#</option>
	</cfoutput>
	</cfloop>
</select>
</td>
<cfelse>
<td bgcolor="E2E2E2" width="5%">&nbsp;</td>
</cfif>
<cfoutput query="product_detail">
<td bgcolor="E2E2E2" colspan="3"><font class="text"><cfif #shipmethod# is "weight">#NumberFormat(Weight,'____.__')# Ounces<cfelse>&nbsp;</cfif></font></td>
</cfoutput>
</tr>

<tr>
<td bgcolor="FFFFFF">
<cfoutput query="product_detail">
<input type="image" src="http://images.paypal.com/images/x-click-but22.gif" border="0">
</cfoutput>
</td>
</tr>
</table>
</form>

</center>
<cfabort>





