<!-- 
*************************************************
GetExpressCheckoutDetails.cfm

This page shows shipping details coming from the server's response object. When click the submit button
token, payerid, amount, currency and other necessary information passed into DoExpressChekoutpayment.cfm.	

*************************************************
-->



  <FORM ACTION="DoExpressCheckoutPaymentECM.cfm" method="post">

<CFTRY>


	<cfset StructClear(Session)>
	
	<CFOBJECT COMPONENT="CallerService" name="caller">

	<CFSET requestData = StructNew()>
	<CFSET requestData.METHOD = "GetExpressCheckoutDetails">
	<CFSET requestData.USER = "#APIUserName#">
	<CFSET requestData.PWD = "#APIPassword#">
	<CFSET requestData.SIGNATURE = "#APISignature#">
	<CFSET requestData.VERSION = "#version#">
	<CFSET requestData.TOKEN = "#URL.token#">
	<CFSET requestData.SHIPPINGAMT = "#URL.shippingamt#">
	<CFSET requestData.ITEMAMT = "#URL.itemamt#">
	<CFSET requestData.ORDERID = "#URL.orderid#">
	<CFSET requestData.FIRSTNAME = "#URL.FIRSTNAME#">
	<CFSET requestData.LASTNAME = "#URL.LASTNAME#">
	<CFSET requestData.ADDRESS1 = "#URL.ADDRESS1#">
	<CFSET requestData.ADDRESS2 = "#URL.ADDRESS2#">
	<CFSET requestData.CITY = "#URL.CITY#">
	<CFSET requestData.STATE = "#URL.STATE#">
	<CFSET requestData.ZIP = "#URL.ZIP#">
	<CFSET requestData.COUNTRY = "#URL.COUNTRY#">
	<CFSET requestData.PHONE = "#URL.PHONE#">
	<CFSET requestData.COMMENTS = "#URL.COMMENTS#">
<cfif #shipmethod# IS "ups">
	<CFSET requestData.SERVICE = "#URL.service#">
	<CFSET requestData.WEIGHT = "#URL.weight#">
</cfif>

<cfif #URL.ADDROVERRIDE# IS "1">
	<CFSET requestData.SHIPTONAME = "#URL.SHIPTONAME#">
	<CFSET requestData.SHIPTOSTREET = "#URL.SHIPTOSTREET#">
	<CFSET requestData.SHIPTOCITY = "#URL.SHIPTOCITY#">
	<CFSET requestData.SHIPTOSTATE = "#URL.SHIPTOSTATE#">
	<CFSET requestData.SHIPTOZIP = "#URL.SHIPTOZIP#">
	<CFSET requestData.SHIPTOCOUNTRY = "#URL.SHIPTOCOUNTRY#">
</cfif>
	<CFSET requestData.ADDROVERRIDE = "#URL.ADDROVERRIDE#">


<!--- 
	Calling doHttppost for API call 
--->


<cfinvoke component="CallerService" method="doHttppost" returnvariable="response">

	<cfinvokeargument name="requestData" value=#requestData#>
	<cfinvokeargument name="serverURL" value=#serverURL#>
	<cfinvokeargument name="proxyName" value=#proxyName#>
	<cfinvokeargument name="proxyPort" value=#proxyPort#>
	<cfinvokeargument name="useProxy" value=#useProxy#>

</cfinvoke>

	<cfset responseStruct = caller.getNVPResponse(#URLDecode(response)#)>
	<cfset Session.resStruct = #responseStruct#>
<cfif not StructKeyExists(responseStruct, "SHIPTOSTREET2")>
	<cfset responseStruct.SHIPTOSTREET2 = "">
</cfif>


  <cfif responseStruct.Ack is "Success">



<cfif #getParams.shipmethod# IS "ups">

<!--- 
UPSRateMonger 5.01.  Original ColdFusion code Copyright 2000-2004, MSB Designs, Inc.
Use and distribute freely.  No warranties express or implied. 
--->
	<CF_UPSRATEMONGER 
		PostalCode=#responseStruct.SHIPTOZIP# 
		ShipWeight=#URL.weight# 
		ServiceType=#URL.service# 
		Country="USA"
		SiteDSN=#datasource#
		CanadaZone="cal"
		USZone="#LEFT(getParams.storezip,3)#"
		AutoXarea=Y
		Origin="EAST"
		ResRates="YES"
		FuelCharge="0.0125">
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">

<!--- IMPORTANT!!!  Add in the ''temporary 1.25% fuel charge effective 8/7/2000'' --->
<cfif UPS_Charge GT 0><cfset UPS_Charge=UPS_Charge * 1.0125></cfif>
<!--- END OF FUEL SURCHARGE CODE --->

<cfparam name="UPS_Charge" default = "0">
<cfif #UPS_Charge# IS "">
<cfset UPS_Charge = 0>
</cfif>

</cfif>

<cfif #getParams.shipmethod# IS "ups">
<cfset shipping = UPS_Charge>
<cfelse>
<cfset shipping = URL.shippingamt>
</cfif>


<cfset thisyear = #DatePart("yyyy", Now())#>
<cfset expyear = #thisyear#>

<cfquery datasource="#datasource#" name="showorder">
	SELECT Orders.Quantity,Orders.ItemID, Orders.ItemTotal,Orders.TotItemWeight,
	Orders.Att1,Orders.Att2,Products.A1, Products.A2, Products.Price,Products.ItemName,Products.Units, Products.Taxable  
	FROM Orders, Products 
	WHERE Orders.ItemID = Products.ItemID 
	AND Orders.OrderID = <cfqueryparam value="#URL.OrderID#" cfsqltype="CF_SQL_NUMERIC"> 
</cfquery>
	
<cfset OrderTotal = 0>
<cfset TotOrderWeight = 0>
<cfset TaxableTotal = 0>

<CFLOOP QUERY="showorder">
<CFSET OrderTotal = #OrderTotal# + #ItemTotal#>
<CFSET TotOrderWeight = #TotOrderWeight# + #TotItemWeight#>
	<cfif Taxable EQ 1>
	<CFSET TaxableTotal = #TaxableTotal# + #ItemTotal#>
	</cfif>
</CFLOOP>


<!--- ***************** PAGE HEADER INCLUDE ******************* --->
<cfinclude template="page_header.cfm">
<!--- ***************** PAGE HEADER INCLUDE ******************* --->

<!--- IF NOT UPS, CALCULATE SALES TAX --->



<cfquery datasource="#datasource#" name="abbreviate">
SELECT State FROM States  
WHERE Abbreviation = <cfif #URL.ADDROVERRIDE# IS "1">'#url.SHIPTOSTATE#'<cfelse>'#responseStruct.SHIPTOSTATE#'</cfif>
</cfquery>
	
<cfquery datasource="#datasource#" name="checkstate">
SELECT rate FROM SalesTax 
WHERE State = '#abbreviate.State#'
</cfquery>
	
      <cfif #checkstate.RecordCount# GT 0>
      <cfset salestax = ((#checkstate.rate#*0.01) * #TaxableTotal#)>
      <cfset salestax = #NumberFormat(salestax, "999999.99")#>
      </cfif>

      <cfset GrandTotal = #NumberFormat(URL.itemamt, "99999.99")# + #NumberFormat(shipping, "999999.99")# + #salestax#>

 

<!--- END SALES TAX CALCULATION --->

<CFSET requestData.TAXAMT = "#salestax#">


<CFSET salestax = #requestData.TAXAMT#>

<br><p>

<!-- Display cart area -->
	
<TABLE WIDTH="450" CELLSPACING="0" cellpadding="4" border="0">
<CFOUTPUT>

<TR>
<TD WIDTH="5%"><font class="boldtext" color="black">Name:</font></TD>
<TD colspan=6><font class="boldtext">#URL.firstname# #URL.lastname#</font></TD>
</TR>
<TR>
<TD WIDTH="5%"><font class="boldtext" color="black">Address:</font></TD>
<TD colspan=6><font class="boldtext">#URL.ADDRESS1# #URL.ADDRESS2#</font></TD>
</TR>
<TR>
<TD WIDTH="5%"><font class="boldtext" color="black">City, State, Zip:</font></TD>
<TD colspan=6><font class="boldtext">#URL.CITY#, #URL.STATE# #URL.ZIP#</font></TD>
</TR>
<TR>
<TD WIDTH="5%"><font class="boldtext" color="black">Country:</font></TD>
<TD colspan=6><font class="boldtext">#URL.COUNTRY#</font></TD>
</TR>

<tr><td colspan=7><HR color=black></td></tr>

<cfif #URL.ADDROVERRIDE# IS "1">

<TR>
<TD WIDTH="5%"><font class="boldtext" color="black">Ship To:</font></TD>
<TD colspan=6><font class="boldtext">#URL.SHIPTONAME#</font></TD>
</TR>
<TR>
<TD WIDTH="5%"><font class="boldtext" color="black">Address:</font></TD>
<TD colspan=6><font class="boldtext">#URL.SHIPTOSTREET#</font></TD>
</TR>
<TR>
<TD WIDTH="5%"><font class="boldtext" color="black">City, State, Zip:</font></TD>
<TD colspan=6><font class="boldtext">#URL.SHIPTOCITY#, #URL.SHIPTOSTATE# #URL.SHIPTOZIP#</font></TD>
</TR>
<!--- TR>
<TD WIDTH="5%"><font class="boldtext" color="black">TRANSACTION ID:</font></TD>
<TD colspan=6><font class="boldtext">#responseStruct.TRANSACTIONID#</font></TD>
</TR --->


<tr><td colspan=7><HR color=black></td></tr>

</cfif>

<TR BGCOLOR="##A3CCFF"><TD WIDTH="30%"><font class="boldtext" color="black">Item</font></TD><TD>&nbsp;&nbsp;&nbsp;</TD><TD>&nbsp;&nbsp;&nbsp;</TD><TD align="right"><font class="boldtext" color="black">Price</font></TD><TD align="right"><font class="boldtext" color="black">Qty</font></TD>
<TD align="right"><font class="boldtext" color="black">Total</font></TD>
<TD align="right" width="15%"><cfif #shipmethod# is "weight"><font class="boldtext" color="black">Weight</font><cfelse>&nbsp;</cfif></TD>
</TR>
</CFOUTPUT>
<CFOUTPUT QUERY="showorder">
<TR>
<TD><font class="text">#showorder.ItemName#</font></TD>
<TD nowrap><font class="text"><cfif #LEN(showorder.Att1)# GT 0>#showorder.Att1#<cfelse>&nbsp;</cfif></font></TD>
<TD nowrap><font class="text"><cfif #LEN(showorder.Att2)# GT 0>#showorder.Att2#<cfelse>&nbsp;</cfif></font></TD>
<TD align="right" nowrap><font class="text">#NumberFormat(showorder.ItemTotal/showorder.Quantity,"99,999.99")#</font></TD>
<TD align=right nowrap><font class="text">#showorder.Quantity# <cfif #LEN(showorder.Units)# GT 0>#showorder.Units#</cfif></font></TD>
<TD align="right"><font class="text">#TRIM(NumberFormat(showorder.ItemTotal,"99,999.99"))#</font></TD>
<TD align="right" nowrap><font class="text"><cfif #shipmethod# is "weight"><cfset weight=#showorder.TotItemWeight#/16>#NumberFormat(weight,"______.__")# lbs.<cfelse>&nbsp;</cfif></font></TD></TR>
</CFOUTPUT>

<CFOUTPUT>
<TR bgcolor="##CCE6FF">
<TD bgcolor="##CCE6FF" colspan=2><font class="text">Order SubTotal</font></TD>
<TD bgcolor="##CCE6FF">&nbsp;</TD><TD bgcolor="##CCE6FF">&nbsp;</TD>
<TD COLSPAN=2 align="right" bgcolor="##CCE6FF"><font class="text">#DollarFormat(OrderTotal)#</font></TD>
<TD>&nbsp;</TD></TR>

<TR>
<TD bgcolor="##CCE6FF" colspan=2><font class="text">Shipping</font></TD>
<TD bgcolor="##CCE6FF">&nbsp;</TD><TD bgcolor="##CCE6FF">&nbsp;</TD>
<TD COLSPAN=2 align="right" bgcolor="##CCE6FF"><font class="text">#DollarFormat(shipping)#</font></TD>
<TD bgcolor="##CCE6FF">&nbsp;</TD>
</TR>

<cfif #parameterexists(salestax)#>
<TR>
<TD bgcolor="##CCE6FF" colspan=2><font class="text">Sales Tax</font></TD>
<TD bgcolor="##CCE6FF">&nbsp;</TD><TD bgcolor="##CCE6FF">&nbsp;</TD>
<TD COLSPAN=2 align="right" bgcolor="##CCE6FF"><font class="text">#DollarFormat(salestax)#</font></TD>
<TD bgcolor="##CCE6FF">&nbsp;</TD>
</TR>
</cfif>

<TR><TD><font class="text">Order Total</font></TD><TD>&nbsp;</TD>
<TD>&nbsp;</TD><TD COLSPAN=3 align="right"><font class="boldtext">#DollarFormat(GrandTotal)#</font></TD>
<TD>&nbsp;</TD>
</TR>


</CFOUTPUT>
</TABLE>






            <tr>
                <td colspan="2" class="header">
                    <input type="submit" value="Pay" />
                </td>
            </tr>
        </table>
	</center>
</cfif>

<cfif responseStruct.Ack is "Failure">
	<CFLOCATION URL="APIError.cfm?error=fromServer"> 
</cfif>

    <input TYPE="hidden" NAME="payerId" VALUE="#URL.payerId#">
    <input TYPE="hidden" NAME="token" VALUE="#URL.token#">
    <input TYPE="hidden" NAME="amount" VALUE="#TRIM(NumberFormat(GrandTotal, "999999.99"))#">
    <input TYPE="hidden" NAME="currencycode" VALUE="#URL.currencycode#">
    <input TYPE="hidden" NAME="paymentaction" VALUE="#URL.paymentaction#">
    <input TYPE="hidden" NAME="taxamt" VALUE="#TRIM(NumberFormat(salestax, "999999.99"))#">
    <input TYPE="hidden" NAME="shippingamt" VALUE="#TRIM(NumberFormat(shipping, "999999.99"))#">
    <input TYPE="hidden" NAME="itemamt" VALUE="#TRIM(NumberFormat(URL.itemamt, "999999.99"))#">
    <input TYPE="hidden" NAME="orderid" VALUE="#URL.orderid#">
    <input TYPE="hidden" NAME="fname" VALUE="#responseStruct.FIRSTNAME#">
    <input TYPE="hidden" NAME="lname" VALUE="#responseStruct.LASTNAME#">
    <input TYPE="hidden" NAME="address" VALUE="#URL.ADDRESS1# #URL.ADDRESS2#">
    <input TYPE="hidden" NAME="city" VALUE="#URL.CITY#">
    <input TYPE="hidden" NAME="state" VALUE="#URL.STATE#">
    <input TYPE="hidden" NAME="zip" VALUE="#URL.ZIP#">
    <input TYPE="hidden" NAME="country" VALUE="#URL.COUNTRY#">
    <input TYPE="hidden" NAME="phone" VALUE="#URL.PHONE#">
    <input TYPE="hidden" NAME="addressstatus" VALUE="#responseStruct.ADDRESSSTATUS#">
    <input TYPE="hidden" NAME="email" VALUE="#responseStruct.EMAIL#">
    <input TYPE="hidden" NAME="comments" VALUE="#URL.comments#">
<cfif #shipmethod# IS "ups">
    <input TYPE="hidden" NAME="service" VALUE="#URL.service#">
    <input TYPE="hidden" NAME="weight" VALUE="#URL.weight#">
</cfif>
    <input TYPE="hidden" NAME="SHIPTONAME" VALUE="#URL.SHIPTONAME#">
    <input TYPE="hidden" NAME="SHIPTOSTREET" VALUE= "#URL.SHIPTOSTREET#">
    <input TYPE="hidden" NAME="SHIPTOCITY" VALUE= "#URL.SHIPTOCITY#">
    <input TYPE="hidden" NAME="SHIPTOSTATE" VALUE= "#URL.SHIPTOSTATE#">
    <input TYPE="hidden" NAME="SHIPTOZIP" VALUE= "#URL.SHIPTOZIP#">
    <input TYPE="hidden" NAME="SHIPTOCOUNTRY" VALUE= "#URL.SHIPTOCOUNTRY#">
    <input TYPE="hidden" NAME="ADDROVERRIDE" VALUE= "#URL.ADDROVERRIDE#">

        <!--
		Following variable passed as hidden values in the doexpresschekout 
		page to perform expresscheckout transaction
	-->

<CFCATCH>

	<cfset responseStruct = StructNew() >
	<cfset responseStruct.errorType =  "#cfcatch.type#">
	<cfset responseStruct.errorMessage =  "#cfcatch.message#">
	<cfset Session.resStruct = "#responseStruct#">
	<CFLOCATION URL="APIError.cfm?error=fromClient">
	
</CFCATCH>
</CFTRY>
</FORM>


</center>
</body>
</html>
