<cfif #form.RESULT# IS "0">

<cfquery datasource="#datasource#" name="showorder">
	SELECT Orders.Quantity,Orders.ItemTotal,Orders.ItemID,Orders.TotItemWeight,Orders.Att1,Orders.Att2,
	Products.Price,Products.ItemName,Products.SKU,Products.Units 
	FROM Orders, Products  
	WHERE Orders.ItemID = Products.ItemID 
	AND Orders.OrderID = #form.INVOICE# 
</cfquery>

<cfset NameList = form.Name>
<cfset NameLen = ListLen(NameList, " ")>
<cfset FName = GetToken(NameList,1," ")>
<cfset LName = GetToken(NameList,NameLen, " ")>

<cfif NOT #getParams.mailserver# IS "">
<cfset mailtag = "<cfmail server="#getParams.mailserver#" username="#getParams.mailuser#" password="#getParams.mailpass#" from="#notifyemail#" to="#notifyemail#" Subject="#storename# Order" type="HTML">
">
<cfelse>
<cfset mailtag = "<cfmail from="#notifyemail#" to="#notifyemail#" Subject="#storename# Order" type="HTML">
">
</cfif>

<cftransaction>




<!--- ******************************** --->
<!--- Here determine next order number --->

<cfquery datasource="#datasource#" name="getordernum">
SELECT MAX(OrderNum)+1 as nextnum FROM OrderHist 
</cfquery>

<cfif #LEN(getordernum.nextnum)# IS 0>
<cfset nextnum = 1>
<cfelse>
<cfset nextnum = #getordernum.nextnum#>
</cfif>

<!---       End order numbering        --->
<!--- ******************************** --->

<cfif #LEN(form.TAX)# GT 0>
<cfset salestaxinput="<TR><TD bgcolor='E2E2E2' colspan=3><font class='text'>Sales Tax</font></TD><TD bgcolor='E2E2E2'>&nbsp;</TD><TD bgcolor='E2E2E2'>&nbsp;</TD>
<TD COLSPAN=2 align='right' bgcolor='E2E2E2'><font class='text'>#TRIM(NumberFormat(form.TAX,'999,999,999.99'))#</font></TD><TD bgcolor='E2E2E2'>&nbsp;</TD></TR>">
<cfelse>
<cfset salestax = 0>
<cfset salestaxinput="<TR><TD bgcolor='E2E2E2' colspan=3><font class='text'>Sales Tax</font></TD><TD bgcolor='E2E2E2'>&nbsp;</TD>
<TD bgcolor='E2E2E2'>&nbsp;</TD><TD COLSPAN=2 align='right' bgcolor='E2E2E2'>&nbsp;</TD><TD bgcolor='E2E2E2'>&nbsp;</TD></TR>">
</cfif>

<cfset orderitems = "">
<CFLOOP QUERY="showorder">
<cfset orderitems="<cfif #parameterexists(orderitems)#>#orderitems#</cfif> 
<TR BGCOLOR=##E2E2E2><TD><font class='text'>#showorder.ItemName#</font></TD>
<TD><font class='text'><cfif #LEN(showorder.Att1)# GT 0>#showorder.Att1#<cfelse>&nbsp;</cfif></font></TD>
<TD><font class='text'><cfif #LEN(showorder.Att2)# GT 0>#showorder.Att2#<cfelse>&nbsp;</cfif></font></TD>
<TD><font class='text'><cfif #Len(SKU)# GT 0>#showorder.SKU#<cfelse>&nbsp;</cfif></font></TD>
<TD><font class='text'>#NumberFormat(showorder.ItemTotal/showorder.Quantity,"999,999,999.99")#</font></TD>
<TD align=right><font class='text'>#showorder.Quantity# <cfif #LEN(showorder.Units)# GT 0>#showorder.Units#</cfif></font></TD>
<TD align='right'><font class='text'>#TRIM(NumberFormat(showorder.ItemTotal,'999,999,999.99'))#</font></TD><TD align='right' nowrap>&nbsp;</TD></TR>">
</CFLOOP>


<cfif #shipmethod# is "weight">
<cfset shippinglineitem="<TR><TD bgcolor='E2E2E2' colspan=3><font class='text'>Shipping (#TRIM(NumberFormat(USER6,'99999.99'))# lbs.)</font></TD>
<TD bgcolor='E2E2E2'>&nbsp;</TD><TD bgcolor='E2E2E2'>&nbsp;</TD><TD COLSPAN=2 align='right' bgcolor='E2E2E2'><font class='text'>#TRIM(NumberFormat(USER6,'99,999.99'))#</font></TD>
<TD bgcolor='E2E2E2'>&nbsp;</TD></TR>">
<cfelseif #shipmethod# is "price">
<cfset shippinglineitem="<TR><TD bgcolor='E2E2E2' colspan=3><font class='text'>Shipping</font></TD><TD bgcolor='E2E2E2'>&nbsp;</TD><TD bgcolor='##E2E2E2'>&nbsp;</TD>
<TD COLSPAN=2 align='right' bgcolor='E2E2E2'><font class='text'>#TRIM(NumberFormat(form.USER9,'99999.99'))#</font></TD>
<TD bgcolor='E2E2E2'>&nbsp;</TD></TR>">
<cfelse>
<cfset shippinglineitem="<TR><TD bgcolor='E2E2E2' colspan=3><font class='text'>Shipping (#form.USER10#)</font></TD><TD bgcolor='##E2E2E2'>&nbsp;</TD><TD bgcolor='##E2E2E2'>&nbsp;</TD>
<TD COLSPAN=2 align='right' bgcolor='E2E2E2'><font class='text'>#TRIM(NumberFormat(form.USER9,'99999.99'))#</font></TD>
<TD bgcolor='E2E2E2'>&nbsp;</TD></TR>">
</cfif>


	
<cfquery datasource="#datasource#">
	INSERT INTO Customers (CustFName, CustLName, CustPhone, CustEMail, CustAddress1, CustAddress2, CustCity, CustState, CustZip, CustCountry, LastOrderID, LastOrderDate, LastOrderAmt, CCName, CCType, CCNum, CCExpires, CustPWord) 
	VALUES('#FName#','#LName#','#form.Phone#','#form.Email#','#form.Address#', '', '#form.City#','#form.State#','#form.Zip#','#form.Country#',#nextnum#,
	'#DateFormat(Now(),"MM/DD/YY")#',#form.AMOUNT#,'#form.Name#','#form.USER7#','xxxx-xxxx-xxxx-xxxx','99/99/99','#form.USER2#')
	</cfquery>

	<cfquery datasource="#datasource#" name="getCustomerID">
	SELECT MAX(CustID) as maxid FROM Customers
	</cfquery>

	<cfloop query="showorder">
		<cfquery datasource="#datasource#">
		INSERT INTO OrderHist (OrderNum, CustID, ItemID, SKU, Quantity, ItemTotal, TotItemWeight, Att1, Att2, Status) 
		VALUES(#nextnum#,#getCustomerID.maxid#,#ItemID#,'#SKU#',#Quantity#,#ItemTotal#,#TotItemWeight#,'#Att1#','#Att2#','Processing Order')
		</cfquery>

		<cfquery datasource="#datasource#" name="get_qty">
		SELECT Qty_In_Stock 
		FROM Products 
		WHERE ItemID = #showorder.ItemID#
		</cfquery>

		<cfquery datasource="#datasource#">
		UPDATE Products  
		SET Qty_In_Stock = (#get_qty.Qty_In_Stock# - #showorder.Quantity#)
		WHERE ItemID = #itemID#
		</cfquery>

	</cfloop>

	<cfquery datasource="#datasource#">
		INSERT INTO OrdHistDetail (OrderNum, CustID, GrandTotal, Shipping, SalesTax, OrderDate, CustEMail, Notes, ShipDate, ShipMethod, ShipName, ShipAddress, ShipCity, 
		ShipState, ShipZip)  
		VALUES(#nextnum#,#getCustomerID.maxid#,#form.AMOUNT#,#form.USER9#,<cfif #LEN(form.TAX)# GT 0>#form.TAX#<cfelse>0</cfif>,'#DateFormat(Now(),"MM/DD/YY")#','#form.EMAIL#','','#DateFormat(Now(),"MM/DD/YY")#','',
			<cfif #LEN(NAMETOSHIP)# GT 0>'#NAMETOSHIP#'<cfelse>'#FName# #LName#'</cfif>,
			<cfif #LEN(ADDRESSTOSHIP)# GT 0>'#ADDRESSTOSHIP#'<cfelse>'#form.Address#'</cfif>,
			<cfif #LEN(CITYTOSHIP)# GT 0>'#CITYTOSHIP#'<cfelse>'#form.City#'</cfif>,
			<cfif #LEN(STATETOSHIP)# GT 0>'#STATETOSHIP#'<cfelse>'#form.State#'</cfif>,
			<cfif #LEN(ZIPTOSHIP)# GT 0>'#ZIPTOSHIP#'<cfelse>'#form.Zip#'</cfif>)
	</cfquery>

	<cfset emailid = #getCustomerID.maxid#>


<cfif #form.USER1# CONTAINS "on">

	<CFCOOKIE NAME="Return_Cust" VALUE="#form.EMAIL#" EXPIRES="NEVER">
	
</cfif>

<!--- Delete order from temporary "Orders" table --->

<cfquery datasource="#datasource#">
DELETE FROM Orders 
WHERE OrderID = #form.INVOICE#
</cfquery>



</cftransaction>


<cfif #selfservice# IS "yes">

<cfif NOT #getParams.mailserver# IS "">
<cfmail server="#getParams.mailserver#" username="#getParams.mailuser#" password="#getParams.mailpass#" from="#notifyemail#" to="#form.Email#" Subject="#storename# Order" type="HTML">
Dear #form.FName#,
<p>
Thank you for your order. The total charge to your #form.cctype# was #TRIM(NumberFormat(GrandTotal,"$999,999,999.99"))#.<br>
To check the status of your order at any time, go to #storeurl#/custservice/orderstatus.cfm?checksum=#nextnum##Right(form.CCNumber,4)#&EMail=#form.Email#&CustID=#emailid#
<p>
Sincerely,<br>
#storename# Customer Service Staff
</cfmail>

<cfelse>

<cfmail from="#notifyemail#" to="#form.Email#" Subject="#storename# Order">
Dear #form.FName#,
<p>
Thank you for your order. The total charge to your #form.cctype# was #TRIM(NumberFormat(GrandTotal,"$999,999,999.99"))#.<br>
To check the status of your order at any time, go to #storeurl#/custservice/orderstatus.cfm?checksum=#nextnum##Right(form.CCNumber,4)#&EMail=#form.Email#&CustID=#emailid#
<p>
Sincerely,<br>
#storename# Customer Service Staff
</cfmail>

</cfif>

<cfelse>

<cfif NOT #getParams.mailserver# IS "">
<cfmail server="#getParams.mailserver#" username="#getParams.mailuser#" password="#getParams.mailpass#" from="#notifyemail#" to="#form.Email#" Subject="#storename# Order" type="HTML">
Dear #form.FName#,<br>
<p>
Thank you for your order. The total charge to your #form.cctype# was #TRIM(NumberFormat(GrandTotal,"$999,999,999.99"))#.
<p>
Sincerely,<br>
#storename# Customer Service Staff
</cfmail>

<cfelse>

<cfmail from="#notifyemail#" to="#form.Email#" Subject="#storename# Order" type="HTML">
Dear #form.FName#,<br>
<p>
Thank you for your order. The total charge to your #form.cctype# was #TRIM(NumberFormat(GrandTotal,"$999,999,999.99"))#.
<p>
Sincerely,<br>
#storename# Customer Service Staff
</cfmail>

</cfif>


</cfif>


<CFELSE>

<cfquery datasource="#datasource#" name="showorder">
	SELECT Orders.Quantity,Orders.ItemTotal,Orders.ItemID,Orders.TotItemWeight,Orders.Att1,Orders.Att2,
	Products.Price,Products.ItemName,Products.SKU,Products.Units 
	FROM Orders, Products  
	WHERE Orders.ItemID = Products.ItemID 
	AND Orders.OrderID = #form.INVOICE# 
</cfquery>


<!--- here handle the failure --->
<!--- ******************************** --->
<!--- Here determine next order number --->

<cfquery datasource="#datasource#" name="getordernum">
SELECT MAX(OrderNum)+1 as nextnum FROM OrdHistDetail 
</cfquery>

<cfif #LEN(getordernum.nextnum)# IS 0>
<cfset nextnum = 1>
<cfelse>
<cfset nextnum = #getordernum.nextnum#>
</cfif>

<!---       End order numbering        --->
<!--- ******************************** --->

<cfquery datasource="#datasource#" name="getcustid">
SELECT MAX(CustID)+1 as nextid FROM Customers 
</cfquery>

<cfif #LEN(getcustid.nextid)# IS 0>
<cfset nextid = 1>
<cfelse>
<cfset nextid = #getcustid.nextid#>
</cfif>

	
<cfquery datasource="#datasource#">
	INSERT INTO Customers (CustFName, CustLName, CustPhone, CustEMail, CustAddress1, CustAddress2, CustCity, CustState, CustZip, CustCountry, LastOrderID, LastOrderDate, LastOrderAmt, CCName, CCType, CCNum, CCExpires, CustPWord) 
	VALUES('#GetToken(form.NAME, 1, " ")#','#GetToken(form.NAME, 2, " ")#','#form.PHONE#','#form.EMAIL#','#form.ADDRESS#', '', '#form.CITY#','#form.STATE#','#form.ZIP#','#form.Country#',#nextnum#,
	'#DateFormat(Now(),"MM/DD/YY")#',0,'#form.NAME#','#form.USER7#','xxxx-xxxx-xxxx-xxxx','99/99/99','#form.USER2#')
	</cfquery>

	<cfquery datasource="#datasource#" name="getCustomerID">
	SELECT MAX(CustID) as maxid FROM Customers
	</cfquery>

	<cfloop query="showorder">
		<cfquery datasource="#datasource#">
		INSERT INTO OrderHist (OrderNum, CustID, ItemID, SKU, Quantity, ItemTotal, TotItemWeight, Att1, Att2, Status) 
		VALUES(#nextnum#,#getCustomerID.maxid#,#ItemID#,'#SKU#',#Quantity#,#ItemTotal#,#TotItemWeight#,'#Att1#','#Att2#','Bad Order')
		</cfquery>

		<cfquery datasource="#datasource#" name="get_qty">
		SELECT Qty_In_Stock 
		FROM Products 
		WHERE ItemID = #showorder.ItemID#
		</cfquery>

		<cfquery datasource="#datasource#">
		UPDATE Products  
		SET Qty_In_Stock = (#get_qty.Qty_In_Stock# - #showorder.Quantity#)
		WHERE ItemID = #itemID#
		</cfquery>

	</cfloop>

	<cfquery datasource="#datasource#">
		INSERT INTO OrdHistDetail (OrderNum, CustID, GrandTotal, Shipping, SalesTax, OrderDate, CustEMail, Notes, ShipDate, ShipMethod)  
		VALUES(#nextnum#,#getCustomerID.maxid#,#form.AMOUNT#,#form.USER9#,<cfif #LEN(form.TAX)# GT 0>#form.TAX#<cfelse>0</cfif>,'#DateFormat(Now(),"MM/DD/YY")#','#form.EMAIL#','','#DateFormat(Now(),"MM/DD/YY")#','')
	</cfquery>

</CFIF>


