<cfquery datasource="#datasource#" name="catsubcat">
Select *  
FROM Products 
<cfif #parameterexists(form.ItemID)#>
WHERE ItemID = #form.ItemID# 
</cfif>
</cfquery>

<cfif #getParams.type# IS "AUTH_ONLY">
<cfset paymentaction = "authorization">
<cfelse>
<cfset paymentaction = "sale">
</cfif>

<!--- Clear expired cart contents --->
<cfquery datasource="#datasource#">
DELETE FROM Orders 
WHERE Expires <= <cfif #db# is "SQL">getDate()<cfelse>Now()</cfif> 
</cfquery>

<!--- GET SHIPPING OPTIONS IF EXIST --->

<cfquery datasource="#datasource#" name="showOptions">
SELECT Option_, OptRate FROM ShipOptions 
ORDER BY OptID
</cfquery>



<!-- Calculate item total -->
<cfif #parameterexists(form.qty)#>
	<cfif #form.qty# is "">
	
	<!--- ***************** PAGE HEADER INCLUDE ******************* --->
	<cfinclude template="page_header.cfm">
	<!--- ***************** PAGE HEADER INCLUDE ******************* --->


	<BR><BR><BR><center>
	<b>Sorry, you must enter a quantity!</b>
	<br><p>
	<a href="#" onClick="history.go(-1)"><b>back</b></a>
	</center>
	</body>
	</html>
	<cfabort>
	</cfif>

	<cfif #form.qty# CONTAINS ".">
	
	<!--- ***************** PAGE HEADER INCLUDE ******************* --->
	<cfinclude template="page_header.cfm">
	<!--- ***************** PAGE HEADER INCLUDE ******************* --->


	<BR><BR><BR><center>
	<b>Sorry, you may not enter a fractional quantity!</b>
	<br><p>
	<a href="#" onClick="history.go(-1)"><b>back</b></a>
	</center>
	</body>
	</html>
	<cfabort>
	</cfif>

<cfif #parameterexists(form.att1)#>
	<cfif #form.att1# CONTAINS "$">
	<cfset Price = #TRIM(GetToken(form.att1, 2, "$"))#>
	<cfelse>
	<cfset Price = #form.Price#>
	</cfif>
<cfset Total=form.qty * Price>
<cfelse>
<cfset Total=form.qty * form.Price>
</cfif>
<cfif #parameterexists(form.att2)#>
	<cfif #form.att2# CONTAINS "$">
	<cfset Total=#Total# + (#form.qty#*#TRIM(GetToken(form.att2, 2, "$"))#)>
	</cfif>
</cfif>


<!--- Set timeout variable --->
<cfset expires = #DateFormat(DateAdd('D',1,Now()),"MM/DD/YY")#>

<!--- Check to see if item has been placed in basket before --->
<cfquery datasource="#datasource#" name="checkitem">
SELECT * FROM Orders ,Products 
WHERE Orders.ItemID = #form.ItemID# 
AND Orders.OrderID = <cfqueryparam value="#OrderID#" cfsqltype="CF_SQL_NUMERIC"> <cfif #parameterexists(form.Att1)#>AND Att1 = '#form.Att1#'</cfif><cfif #parameterexists(form.Att2)#> AND Att2 = '#form.Att2#' </cfif> 
AND Orders.ItemID = Products.ItemID
</cfquery>

<cfif #checkitem.RecordCount# GT 0>
<cfset Total = #Total# + #checkitem.ItemTotal#>
<cfset Qty = #form.qty# + #checkitem.Quantity#>
<cfset TotItemWeight=#Qty# * #form.Weight#> 

<!-- CALCULATE DISCOUNTS HERE -->
<!-- CALCULATE DISCOUNTS HERE -->
<!-- CALCULATE DISCOUNTS HERE -->


<cfif #form.DiscAmt# GT 0>
<cfif #form.DiscTrigger# GT 0 AND #Qty# GTE #form.DiscTrigger#>
	<cfif #form.DiscIsPct# IS 1>
		<cfset Total = (Total * (1-(form.DiscAmt/100)))>
	<cfelse>
		<cfset Total = ((Qty*#checkitem.Price#) - (Qty*form.DiscAmt))>
	</cfif>
</cfif>
</cfif>

<!-- END CALCULATE DISCOUNTS HERE -->
<!-- END CALCULATE DISCOUNTS HERE -->
<!-- END CALCULATE DISCOUNTS HERE -->



<!--- Prevent net negative quantities --->
<cfif #Total# LT 0>

<!--- ***************** PAGE HEADER INCLUDE ******************* --->
<cfinclude template="page_header.cfm">
<!--- ***************** PAGE HEADER INCLUDE ******************* --->


<br><br><br><center>
<b>Sorry, you can't order negative quantities!</b><br><p>
<a href="#" onClick="history.go(-1)"><b>back</b></a>
</center>
</body>
</html>
<cfabort>
</cfif>


<!--- Prevent orders that exceed qty onhand if this option selected --->
<cfif #checkitem.Shipable# IS 0>
<cfif #Qty# GT #checkitem.Qty_In_Stock#>

<!--- ***************** PAGE HEADER INCLUDE ******************* --->
<cfinclude template="page_header.cfm">
<!--- ***************** PAGE HEADER INCLUDE ******************* --->

<cfset qoh = #checkitem.Qty_In_Stock#>

<br><br><br><center>
<cfoutput>
<font face="Arial" size="2"><b>Sorry, we only have #qoh# <cfif #qoh# IS 1>#checkitem.ItemName#<cfelse>#checkitem.ItemName#s</cfif> in stock. <br>
Please adjust your order. Thank you!</b></font><br><p>
</cfoutput>
<a href="#" onClick="history.go(-1)"><font face="Arial" size="2"><b>back</b></font></a>
</center>
</body>
</html>
<cfabort>
</cfif>
</cfif>


<!--- Delete item from cart if zero entered --->
<cfif #form.qty# EQ 0>
<cfquery datasource="#datasource#">
DELETE FROM Orders 
WHERE ItemID = #form.ItemID# AND OrderID = <cfqueryparam value="#OrderID#" cfsqltype="CF_SQL_NUMERIC"> <cfif #parameterexists(form.att1)#>AND Att1 = '#form.att1#'</cfif><cfif #parameterexists(form.att2)#>AND Att2 = '#form.att2#'</cfif>
</cfquery>
</cfif>

<!--- Process additions and deletions of quantity of a particular item --->
<cfquery datasource="#datasource#">
UPDATE Orders 
SET ItemTotal = #Total#,
    Quantity = #Qty#,
	TotItemWeight = #TotItemWeight# 
WHERE OrderID = <cfqueryparam value="#OrderID#" cfsqltype="CF_SQL_NUMERIC"> AND ItemID = #form.ItemID# <cfif #parameterexists(form.att1)#>AND Att1 = '#form.att1#'</cfif><cfif #parameterexists(form.att2)#>AND Att2 = '#form.att2#'</cfif>
</cfquery>

<!--- Don't show product with quantity equal to zero (i.e., product deleted from cart) --->
<cfif #Total# IS 0>
<cfquery datasource="#datasource#">
DELETE FROM Orders 
WHERE OrderID = <cfqueryparam value="#OrderID#" cfsqltype="CF_SQL_NUMERIC"> AND ItemID = #form.ItemID# <cfif #parameterexists(form.att1)#>AND Att1 = '#form.att1#'</cfif><cfif #parameterexists(form.att2)#>AND Att2 = '#form.att2#'</cfif>
</cfquery>
</cfif>

<cfelse>


<!--- ************************************************** --->
<!--- Prevent net negative quantities initially inserted --->
<!--- ************************************************** --->

<cfif #form.qty# LT 0>

<!--- ***************** PAGE HEADER INCLUDE ******************* --->
<cfinclude template="page_header.cfm">
<!--- ***************** PAGE HEADER INCLUDE ******************* --->


<br><br><br><center>
<b>Sorry, you can't order negative quantities!</b><br>
<p><a href="#" onClick=history.go(-1)><b>Back</b></a>
</center>
</body>
</html>
<cfabort>

</cfif>

<!--- ************************************* --->
<!---         Add new item to basket        --->
<!--- ************************************* --->


<cfset TotItemWeight=#form.qty# * #form.Weight#>

<!-- CALCULATE DISCOUNTS HERE -->
<!-- CALCULATE DISCOUNTS HERE -->
<!-- CALCULATE DISCOUNTS HERE -->


<cfif #form.DiscAmt# GT 0>
<cfif #form.DiscTrigger# GT 0 AND #form.qty# GTE #form.DiscTrigger#>
	<cfif #form.DiscIsPct# IS 1>
		<cfset Total = (Total * (1-(form.DiscAmt/100)))>
	<cfelse>
		<cfset Total = (Total - (form.qty*form.DiscAmt))>
	</cfif>
</cfif>
</cfif>

<!-- END CALCULATE DISCOUNTS HERE -->
<!-- END CALCULATE DISCOUNTS HERE -->
<!-- END CALCULATE DISCOUNTS HERE -->

<cfquery datasource="#datasource#">
INSERT INTO Orders(OrderID, ItemID, Quantity, ItemTotal, TotItemWeight, Expires, Att1, Att2) 
VALUES(#OrderID#, #ItemID#, #form.qty#, #Total#, #TotItemWeight#, '#expires#', <cfif #parameterexists(att1)#>'#att1#'<cfelse>''</cfif>, <cfif #parameterexists(att2)#>'#att2#'<cfelse>''</cfif>)
</cfquery>

</cfif>
</cfif>

<cfquery datasource="#datasource#" name="showorder">
SELECT Orders.Quantity,Orders.ItemTotal,Orders.TotItemWeight,Orders.Att1,Orders.Att2,Products.Price,
Products.DiscAmt, Products.DiscIsPct, Products.DiscTrigger,Products.ItemName, Products.SKU, Products.Units, 
Products.ItemID, Products.Weight, Products.Taxable  
FROM Orders, Products  
WHERE Orders.ItemID = Products.ItemID 
AND Orders.OrderID = <cfqueryparam value="#OrderID#" cfsqltype="CF_SQL_NUMERIC"> 
</cfquery>

<cfset OrderTotal = 0>
<cfset TotOrderWeight = 0>
<cfset TotShipWeight = 0>

<CFLOOP QUERY="showorder">
<CFSET OrderTotal = #OrderTotal# + #ItemTotal#>
<CFSET TotOrderWeight = #TotOrderWeight# + #TotItemWeight#>
	<cfif #Taxable# EQ 1>
	<CFSET TotShipWeight = #TotShipWeight# + #TotItemWeight#>
	</cfif>	
</CFLOOP>

<cfif #TotShipWeight# GT 0>
<cfset ShipWeight =  #TotShipWeight#/16>
<cfelse>
<cfset ShipWeight = 0>
</cfif>


<cfif #shipmethod# is "weight">

<cfquery datasource="#datasource#" name="getshiprate">
SELECT shipfee FROM Shipping 
WHERE shiplimit >= #ShipWeight# 
</cfquery>

	<cfelseif #shipmethod# is "price">

	<cfquery datasource="#datasource#" name="getshiprate">
	SELECT shipfee FROM Shipping 
	WHERE shiplimit >= #OrderTotal# 
	</cfquery>

<cfelseif #shipmethod# IS "optiontable">

<cfquery datasource="#datasource#" name="getshiprate">
SELECT * FROM ShipOptions 
</cfquery>

<cfelse>

<cfset shipping = 0>

</cfif>


<!--- SET SHIPPING VARIABLE --->

<cfif NOT #shipmethod# IS "optiontable" AND NOT #shipmethod# IS "ups">

<cfset Shipping = #getshiprate.shipfee#>
	<cfif #Shipping# GT 0>
	<CFSET GrandTotal = #OrderTotal# + #Shipping#>
	<cfelse>
	<cfset GrandTotal = #OrderTotal#>
	</cfif>

<cfelse>

<cfset GrandTotal = #OrderTotal#>

</cfif>


<!--- ***************** PAGE HEADER INCLUDE ******************* --->
<cfinclude template="page_header.cfm">
<!--- ***************** PAGE HEADER INCLUDE ******************* --->

<!--- OLD TABLE COLOR WAS A3CCFF --->

<br>

<TABLE WIDTH="575" CELLSPACING="0" cellpadding="3" border="0">
<TR BGCOLOR="#A3CCFF"><TD width="20%"><font class="boldtext" color="black">Item</font></TD>
<TD>&nbsp;</TD><TD>&nbsp;</TD><TD><font class="boldtext" color="black">SKU</font></TD>
<TD align="right"><font class="boldtext" color="black">Price</font></TD>
<TD align="center"><font class="boldtext" color="black">Qty</font></TD>
<TD align="right"><font class="boldtext" color="black">Total</font></TD>
</TR>

<CFOUTPUT QUERY="showorder">
<form action="updatecart.cfm?#URLToken#&ItemID=#ItemID#&OrderID=#OrderID#&att1=#URLEncodedFormat(showorder.att1)#&att2=#URLEncodedFormat(showorder.att2)#&Weight=#showorder.Weight#" method="POST">
<input type="hidden" name="GrandTotal" value=#TRIM(GrandTotal)#>
<input type="hidden" name="OrderTotal" value=#OrderTotal#>
<input type="hidden" name="Price" value=#showorder.Price#>
<input type="hidden" name="DiscAmt" value=#showorder.DiscAmt#>
<input type="hidden" name="DiscIsPct" value=#showorder.DiscIsPct#>
<input type="hidden" name="DiscTrigger" value=#showorder.DiscTrigger#>

<cfif #parameterexists(Shipping)#>
<input type="hidden" name="Shipping" value=#TRIM(NumberFormat(Shipping, 999999.99))#>
</cfif>
<cfif #parameterexists(showorder.att1)#>
<input type="hidden" name="att1" value="#showorder.att1#">
</cfif>
<cfif #parameterexists(showorder.att2)#>
<input type="hidden" name="att2" value="#showorder.att2#">
</cfif>
<TR BGCOLOR="##E2E2E2">
<TD><font class="text">#showorder.ItemName#</font></TD>
<TD><font class="text"><cfif #LEN(showorder.Att1)# GT 0>#showorder.Att1#<cfelse>&nbsp;</cfif></font></TD>
<TD><font class="text"><cfif #LEN(showorder.Att2)# GT 0>#showorder.Att2#<cfelse>&nbsp;</cfif></font></TD>
<TD><font class="text"><cfif #Len(showorder.SKU)# GT 0>#showorder.SKU#<cfelse>&nbsp;</cfif></font></TD>
<TD align="right" nowrap><font class="text">#NumberFormat(showorder.ItemTotal/showorder.Quantity,"999,999,999.99")#</font></TD>
<TD align=right nowrap><font class="text"><input type="text" name="qty" size="4" align="right" value=#showorder.Quantity#> <input type="Submit" value="Update"></font></TD>
<TD align="right"><font class="text">#NumberFormat(showorder.ItemTotal,"9,999,999.99")#</font></TD>
</TR>
</form>
</CFOUTPUT>

<CFOUTPUT>
<TR>
<TD bgcolor="##C0C0C0" colspan=3><font class="text">Order SubTotal</font></TD>
<TD bgcolor="##C0C0C0">&nbsp;</TD><TD bgcolor="##C0C0C0">&nbsp;</TD>
<TD COLSPAN=2 align="right" bgcolor="##C0C0C0"><font class="text">#TRIM(NumberFormat(OrderTotal,"$9,999,999.99"))#</font></TD>
</TR>
</cfoutput>

<cfif NOT #shipmethod# IS "optiontable" AND NOT #shipmethod# IS "ups">

<TR BGCOLOR="#E2E2E2">
<TD bgcolor="#CCE6FF" colspan=3><font class="text">Shipping</font></TD>
<TD bgcolor="#CCE6FF">&nbsp;</TD><TD bgcolor="#CCE6FF">&nbsp;</TD>

<cfoutput>
<TD COLSPAN=2 align="right" bgcolor="##CCE6FF"><font class="text">#NumberFormat(Shipping,"9,999,999.99")#</font></td></tr>
<TR BGCOLOR="##E2E2E2">
<TD><font class="text">Order Total</font></TD><TD>&nbsp;</TD><TD>&nbsp;</TD>
<TD COLSPAN=4 align="right"><font class="text">#TRIM(NumberFormat(GrandTotal,"$9,999,999.99"))#</font></TD>
</CFOUTPUT>

</TR>
</table>
</cfif>


<cfif #shipmethod# IS "optiontable">
<!-- Action buttons -->

<!-- TABLE 1 --><!-- TABLE 1 --><!-- TABLE 1 --><!-- TABLE 1 -->
<!-- TABLE 1 --><!-- TABLE 1 --><!-- TABLE 1 --><!-- TABLE 1 -->

<TABLE WIDTH="575" CELLSPACING="0" cellpadding="5" border="0"> 


<!--- PayPal express checkout --->

<cfif #getParams.ppec# CONTAINS "on">

<TR><TD colspan="3">

<FORM ACTION="reviewOrder.cfm" METHOD="post" >
<cfoutput>
<input type="hidden" name="amount" size="5" maxlength="7" value="#TRIM(NumberFormat(GrandTotal,"999999999.99"))#" />
<input type="hidden" name="currency" value="USD" />
<input type="hidden" name="itemamt" value="#TRIM(NumberFormat(OrderTotal, "999999999.99"))#">
<input type="hidden" name="taxamt" value= "#TRIM(NumberFormat(salestax,"999999999.99"))#">
<input type="hidden" name="handlingamt" value="0.00">
<INPUT TYPE="hidden" NAME="PAYMENTACTION" VALUE="#paymentaction#">
<INPUT TYPE="hidden" NAME="ORDERID" VALUE="#OrderID#">
</cfoutput>

<!-- TABLE 2 --><!-- TABLE 2 --><!-- TABLE 2 -->
<!-- TABLE 2 --><!-- TABLE 2 --><!-- TABLE 2 -->

<table WIDTH="575" CELLSPACING="0" cellpadding="5" border=0> 
<tr>
<td width="70%" bgcolor="#E2E2E2" align="right"><font class="text">Choose shipping method</font></td><td colspan="2" nowrap bgcolor="#E2E2E2" align="right">
<SELECT NAME="Shippingamt">
<cfoutput query="showOptions">
<OPTION VALUE="#TRIM(NumberFormat(OptRate, "_______.__"))#">#Option_# - #TRIM(NumberFormat(OptRate,"99,999.99"))#
</cfoutput>
</SELECT>
</TD>
</TR>

<cfoutput>
<cfif #getParams.allowcustomercomments# CONTAINS "on">
<TR><TD colspan="3" nowrap align="right"><font class="text"><cfoutput>#getParams.comments_label#</cfoutput>:</font>&nbsp;&nbsp;</font></TD></tr>
<TR><TD colspan="3" nowrap align="right"><TEXTAREA NAME="Comments" ROWS="4" COLS="20"></TEXTAREA>&nbsp;&nbsp;</TD></TR>
</cfif>
</cfoutput>
<tr>
<td colspan="3" nowrap align="right">
<input type="image" name="submit" src="https://www.paypal.com/en_US/i/btn/btn_xpressCheckout.gif" />
</td>
</tr>
</TABLE> 
<!-- TABLE 2 --><!-- TABLE 2 --><!-- TABLE 2 --><!-- TABLE 2 -->
<!-- TABLE 2 --><!-- TABLE 2 --><!-- TABLE 2 --><!-- TABLE 2 -->
</FORM>

</TD></TR>

</cfif>


<TR><TD colspan="3">
<cfoutput>
<form ACTION="checkout.cfm?#URLToken#&OrderID=#OrderID#&action=checkout" METHOD="POST">
<input type="hidden" name="OrderID" value=#OrderID#>
<input type="hidden" name="GrandTotal" value=#TRIM(NumberFormat(GrandTotal, "999999999.99"))#>
<input type="hidden" name="ShipWeight" value="0">
<input type="hidden" name="OrderTotal" value=#TRIM(NumberFormat(OrderTotal, "999999999.99"))#>
<input type="hidden" name="OrderOffline" value="off">
</cfoutput>

<!-- TABLE 3 --><!-- TABLE 3 --><!-- TABLE 3 --><!-- TABLE 3 -->
<!-- TABLE 3 --><!-- TABLE 3 --><!-- TABLE 3 --><!-- TABLE 3 -->
<table WIDTH="575" CELLSPACING="0" cellpadding="5" border=0>
<tr>
<td width="70%" bgcolor="#E2E2E2" align="right"><font class="text">Choose shipping method</font></td><td colspan="2" nowrap bgcolor="#E2E2E2" align="right">
<SELECT NAME="Shipping">
<cfoutput query="showOptions">
<OPTION VALUE="#Option_#,#OptRate#">#Option_# - #TRIM(NumberFormat(OptRate,"99,999.99"))#
</cfoutput>
</SELECT>
</TD>
</TR>

<tr>
<td colspan="3" nowrap align="right">


<cfoutput>

<cfif NOT #template# IS "Store 4" AND NOT #template# IS "">

<a href="index.cfm?#URLToken#"><img src="images/continue.gif" border="0"></a>&nbsp;&nbsp;&nbsp;<a href="checkout.cfm?#URLToken#&OrderID=#OrderID#&action=clear"><img src="images/clearcart.gif" border="0"></a>&nbsp;&nbsp;&nbsp;<input type="image" src="images/checkout.gif" border="0">
<cfif NOT #paypalonly# CONTAINS "on">
<br>
<cfif #getParams.ccards# CONTAINS "Visa"><img src="images/logo_ccVisa.gif"></cfif>
<cfif #getParams.ccards# CONTAINS "MasterCard"><img src="images/logo_ccMC.gif"></cfif>
<cfif #getParams.ccards# CONTAINS "American Express"><img src="images/logo_ccAmex.gif"></cfif>
<cfif #getParams.ccards# CONTAINS "Discover"><img src="images/logo_ccDiscover.gif"></cfif>
<cfif #getParams.processor# IS "PayPal"><img src="https://www.paypal.com/en_US/i/logo/PayPal_mark_37x23.gif"></cfif>
</CFIF>

<cfelse>

<a href="prodpage.cfm?#URLToken#"><img src="images/continue.gif" border="0"></a>&nbsp;&nbsp;&nbsp;<a href="checkout.cfm?#URLToken#&OrderID=#OrderID#&action=clear"><img src="images/clearcart.gif" border="0"></a>&nbsp;&nbsp;&nbsp;<input type="image" src="images/checkout.gif" border="0">
<cfif NOT #paypalonly# CONTAINS "on">
<br>
<cfif #getParams.ccards# CONTAINS "Visa"><img src="images/logo_ccVisa.gif"></cfif>
<cfif #getParams.ccards# CONTAINS "MasterCard"><img src="images/logo_ccMC.gif"></cfif>
<cfif #getParams.ccards# CONTAINS "American Express"><img src="images/logo_ccAmex.gif"></cfif>
<cfif #getParams.ccards# CONTAINS "Discover"><img src="images/logo_ccDiscover.gif"></cfif>
<cfif #getParams.processor# IS "PayPal"><img src="https://www.paypal.com/en_US/i/logo/PayPal_mark_37x23.gif"></cfif>
</CFIF>
</cfif>

</CFOUTPUT>
</td>
</tr>
</TABLE>
<!-- TABLE 3 --><!-- TABLE 3 --><!-- TABLE 3 --><!-- TABLE 3 -->
<!-- TABLE 3 --><!-- TABLE 3 --><!-- TABLE 3 --><!-- TABLE 3 -->

</TD></TR></TABLE>
<!-- TABLE 1 --><!-- TABLE 1 --><!-- TABLE 1 --><!-- TABLE 1 -->
<!-- TABLE 1 --><!-- TABLE 1 --><!-- TABLE 1 --><!-- TABLE 1 -->
</form>

		<cfinclude template="page_footer.cfm">

<cfelse>

<CFIF #getParams.ppec# CONTAINS "on">

<cfif NOT #getParams.shipmethod# IS "ups">
<FORM ACTION="reviewOrder.cfm" METHOD="post" >
<cfoutput>
<input type="hidden" name="amount" size="5" maxlength="7" value="#GrandTotal#" />
<input type="hidden" name="currency" value="USD" />
<input type="hidden" name="itemamt" value="#TRIM(NumberFormat(OrderTotal, "999999999.99"))#">
<input type="hidden" name="shippingamt" value="#TRIM(NumberFormat(Shipping, "999999999.99"))#">
<input type="hidden" name="taxamt" value= "#TRIM(NumberFormat(salestax,"999999999.99"))#">
<input type="hidden" name="handlingamt" value="0.00">
<INPUT TYPE="hidden" NAME="PAYMENTACTION" VALUE="#paymentaction#">
<INPUT TYPE="hidden" NAME="ORDERID" VALUE="#OrderID#">
<table WIDTH="575" CELLSPACING="1" cellpadding="5" border=0>
 
<cfif #getParams.allowcustomercomments# CONTAINS "on">
<TR><TD colspan="3" nowrap align="right"><font class="text">#getParams.comments_label#:</font>&nbsp;&nbsp;</font></TD></tr>
<TR><TD colspan="3" nowrap align="right"><TEXTAREA NAME="Comments" ROWS="4" COLS="20"></TEXTAREA>&nbsp;&nbsp;</TD></TR>
</cfif>
</cfoutput>
<tr>
<td colspan="3" nowrap align="right">
<input type="image" name="submit" src="https://www.paypal.com/en_US/i/btn/btn_xpressCheckout.gif" />
</td>
</tr>
</TABLE>
</FORM>

<cfelse>

<FORM ACTION="reviewOrder.cfm" METHOD="post" >
<cfoutput>
<input type="hidden" name="amount" maxlength="7" value="#TRIM(NumberFormat(GrandTotal, "999999999.99"))#" />
<input type="hidden" name="currency" value="USD" />
<input type="hidden" name="itemamt" value="#TRIM(NumberFormat(OrderTotal, "999999999.99"))#">
<input type="hidden" name="shippingamt" value="#TRIM(NumberFormat(Shipping, "999999999.99"))#">
<input type="hidden" name="taxamt" value= "#TRIM(NumberFormat(salestax,"999999999.99"))#">
<input type="hidden" name="handlingamt" value="0.00">
<INPUT TYPE="hidden" NAME="PAYMENTACTION" VALUE="#paymentaction#">
<INPUT TYPE="hidden" NAME="ORDERID" VALUE="#OrderID#">
<input type="hidden" name="weight" value=#TRIM(NumberFormat(ShipWeight, "999999999.99"))#>
</cfoutput>
<table WIDTH="575" CELLSPACING="1" cellpadding="5" border=0>
 
<cfif #getParams.shipmethod# IS "ups">
<TR><TD ALIGN=RIGHT WIDTH="70%"><font class="text">Shipping Method:</FONT><font size="1" color="red">*</font><font class="boldtext">:</FONT></TD>

<TD colspan=2 ALIGN=RIGHT>
	<SELECT CLASS="formfieldshipping" name="SERVICE">
	<OPTION VALUE="1DA" SELECTED>Next Day Air
	<OPTION VALUE="1DP">Next Day Air Saver (U.S. only)
	<OPTION VALUE="2DM">2nd Day Air AM (U.S. only)
	<OPTION VALUE="2DA">2nd Day Air (U.S. only)
	<OPTION VALUE="3D">3 Day Select
	<OPTION VALUE="GNDCOM">Ground (commercial, U.S. destinations)
	<OPTION VALUE="GNDRES">Ground (residential, U.S. destinations)
	</SELECT>
</TD>
</TR>
</cfif>
<cfoutput>
<cfif #getParams.allowcustomercomments# CONTAINS "on">
<TR><TD colspan="3" nowrap align="right"><font class="text"><cfoutput>#getParams.comments_label#</cfoutput>:</font>&nbsp;&nbsp;</font></TD></tr>
<TR><TD colspan="3" nowrap align="right"><TEXTAREA NAME="Comments" ROWS="4" COLS="20"></TEXTAREA>&nbsp;&nbsp;</TD></TR>
</cfif>
</cfoutput>
<tr>
<td colspan="3" nowrap align="right">
<input type="image" name="submit" src="https://www.paypal.com/en_US/i/btn/btn_xpressCheckout.gif" />
</td>
</tr>
</TABLE>
</FORM>

</cfif>


</CFIF>



<!-- Action buttons -->
<cfoutput>
<form ACTION="checkout.cfm?#URLToken#&OrderID=#OrderID#&action=checkout" METHOD="POST">
<input type="hidden" name="GrandTotal" value=#GrandTotal#>
<input type="hidden" name="ShipWeight" value=#ShipWeight#>
<input type="hidden" name="OrderTotal" value=#OrderTotal#>
<input type="hidden" name="Shipping" value=#Shipping#>
<INPUT TYPE="hidden" NAME="ORDERID" VALUE="#OrderID#">

<TABLE WIDTH="575" CELLSPACING="1" cellpadding="5" border=0>
<tr>
<td colspan=3 nowrap align="right">
<cfif NOT #template# IS "Store 4" AND NOT #template# IS "">
<a href="index.cfm?#URLToken#"><img src="images/shop.gif" border="0"></a>&nbsp;&nbsp;&nbsp;<a href="checkout.cfm?#URLToken#&OrderID=#OrderID#&action=clear"><img src="images/clearcart.gif" border="0"></a>&nbsp;&nbsp;&nbsp;<input type="image" src="images/checkout.gif" border="0">
<cfelse>
<a href="prodpage.cfm?#URLToken#"><img src="images/shop.gif" border="0"></a>&nbsp;&nbsp;&nbsp;<a href="checkout.cfm?#URLToken#&OrderID=#OrderID#&action=clear"><img src="images/clearcart.gif" border="0"></a>&nbsp;&nbsp;&nbsp;<input type="image" src="images/checkout.gif" border="0">
</cfif>

<br>
<cfif #getParams.ccards# CONTAINS "Visa"><img src="images/logo_ccVisa.gif"></cfif>
<cfif #getParams.ccards# CONTAINS "MasterCard"><img src="images/logo_ccMC.gif"></cfif>
<cfif #getParams.ccards# CONTAINS "American Express"><img src="images/logo_ccAmex.gif"></cfif>
<cfif #getParams.ccards# CONTAINS "Discover"><img src="images/logo_ccDiscover.gif"></cfif>
<cfif #getParams.processor# IS "PayPal"><img src="https://www.paypal.com/en_US/i/logo/PayPal_mark_37x23.gif"></cfif>

</td>
</tr>
</table>

</form>


</CFOUTPUT>

		<cfinclude template="page_footer.cfm">

</CFIF>





