<!--- The open source for this application belongs to Shane L. Shepard --->
<cfinclude template="_VarSets.cfm">

<!--- Set Sale Info --->
<!-- Cfset month = "#numberformat(form.month,"00")#" -->
<!-- Cfset year = "#numberformat(form.year,"00")#" -->

<cfif #LEN(form.phone)# LT 10>
<cfset phone = "9999999999">
</cfif>

<CFSET transactionamount =  DecimalFormat(form.GrandTotal)>
<CFSET transactionamount = Trim(transactionamount)>

<!--- Post to Skipjack --->
<CFHTTP METHOD="POST" URL="https://#SJ_Host#" useragent="Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)"> 
<CFHTTPPARAM NAME="serialnumber" TYPE="FormField" VALUE="000#TRIM(getParams.loginid)#">
<CFHTTPPARAM NAME="transactionamount" TYPE="FormField" value="#transactionamount#">
<CFHTTPPARAM NAME="orderstring" TYPE="FormField" value="#form.OrderID#~#storename# Order~#GrandTotal#~~~||">
<CFHTTPPARAM NAME="ordernumber" TYPE="FormField" value= "#form.OrderID#">
<CFHTTPPARAM NAME="shiptoname" TYPE="FormField" value="#form.ShipName#">
<CFHTTPPARAM NAME="shiptoStreetaddress" TYPE="FormField" value="#form.ShipAddress1#">
<CFHTTPPARAM NAME="ShiptoCity" TYPE="FormField" value="#form.ShipCity#">
<CFHTTPPARAM NAME="ShiptoState" TYPE="FormField" value="#form.ShipState#">
<CFHTTPPARAM NAME="ShiptoZipcode" TYPE="FormField" value="#form.ShipZip#">
<CFHTTPPARAM NAME="sjname" TYPE="FormField" value="#form.FName# #form.LName#">
<CFHTTPPARAM NAME="email" TYPE="FormField" value="#form.Email#">
<CFHTTPPARAM NAME="streetaddress" TYPE="FormField"  value="#form.Address1# #form.Address2#">
<CFHTTPPARAM NAME="city" TYPE="FormField" value="#form.city#">
<CFHTTPPARAM NAME="state" TYPE="FormField" value="#form.state#">
<CFHTTPPARAM NAME="zipcode" TYPE="FormField" value="#form.zip#">
<CFHTTPPARAM NAME="accountnumber" TYPE="FormField" value="#form.CCNumber#">
<CFHTTPPARAM NAME="month" TYPE="FormField" value="#cc_expmonth#">
<CFHTTPPARAM NAME="year" TYPE="FormField" value="#cc_expyear#">
<CFHTTPPARAM NAME="shiptophone" TYPE="FormField" value="#phone#">
</CFHTTP>

<!--- Parse content from skipjack post --->
<cfoutput>

<cfset ValList="-AUTHCODE,-szSerialNumber,-szTransactionAmount,-szAuthorizationDeclinedMessage,-szAVSResponseCode,-szAVSResponseMessage,-szOrderNumber,-szAuthorizationResponseCode,-szReturnCode">
<cfset VarList="strAuthCode,strSerialNumber,strTransactionAmount,strAuthorizationDeclinedMessage,strAVSResponseCode,strAVSResponseMessage,strOrderNumber,strAuthorizationResponseCode,strReturnCode">

<cfset loopcount = 0>
<cfloop list="#ValList#" index="Val_Name">
	<cfset loopcount = incrementvalue(loopcount)>
	<cfset length = Len(Val_Name)>
	<cfset start = FindNoCase(Val_Name, CFHTTP.FileContent, 1)+length+1>
	<cfset end = FindNoCase("-->", CFHTTP.FileContent, start)-start>
	<cfset Var_Name = #ListGetAt(VarList, loopcount, ",")#>
	<cfset a = #SetVariable(Var_name, "#Mid(CFHTTP.FileContent, start, end)#")#>
</cfloop>

</cfoutput>

<!--- Set Response Code and CC_OK --->
<cfif Len(#strAUTHORIZATIONRESPONSECODE#) EQ '6' AND #strRETURNCODE# EQ '1'> 

<cfinclude template="../finish_order.cfm">

<CFELSE>

<!--- here handle the failure --->
<!--- ******************************** --->
<!--- Here determine next order number --->

<cfquery datasource="#datasource#" name="getordernum">
SELECT MAX(OrderNum)+1 as nextnum FROM OrdHistDetail 
</cfquery>

<cfif #LEN(getordernum.nextnum)# IS 0>
<cfset nextnum = 1>
<cfelse>
<cfset nextnum = #getordernum.nextnum#>
</cfif>

<!---       End order numbering        --->
<!--- ******************************** --->

<cfquery datasource="#datasource#" name="getcustid">
SELECT MAX(CustID)+1 as nextid FROM Customers 
</cfquery>

<cfif #LEN(getcustid.nextid)# IS 0>
<cfset nextid = 1>
<cfelse>
<cfset nextid = #getcustid.nextid#>
</cfif>

<cfset ccexpires = '#form.cc_expmonth#/#form.cc_expyear#'>

	
<cfquery datasource="#datasource#">
INSERT INTO Customers (CustID, CustFName, CustLName, CustPhone, CustEMail, CustAddress1, CustAddress2, CustCity, CustState, CustZip, CustCountry, LastOrderID, LastOrderDate, LastOrderAmt, CCName, CCType, CCNum, CCExpires, CustPWord)  
VALUES(#nextid#,'#form.FName#','#form.LName#','#form.Phone#','#form.Email#','#form.Address1#','#form.Address2#','#form.City#','#form.State#','#form.Zip#','#form.Country#','#OrderID#',
'#DateFormat(Now(),"MM/DD/YY")#',0,'#form.CCName#','#form.CCType#','#form.CCNumber#','#ccexpires#','')
</cfquery>

<cfloop query="showorder">
<cfquery datasource="#datasource#">
INSERT INTO OrderHist (OrderNum, CustID, ItemID, SKU, Quantity, ItemTotal, TotItemWeight, Att1, Att2, Status)  
VALUES(#nextnum#,#nextid#,2,'',0,0,0,'','','Bad Order')
</cfquery>
</cfloop>

<cfquery datasource="#datasource#">
INSERT INTO OrdHistDetail (OrderNum, CustID, GrandTotal, Shipping, SalesTax, OrderDate, CustEMail, Notes, ShipDate, ShipMethod)  
VALUES(#nextnum#,#nextid#,0,0,0,'#DateFormat(Now(),"MM/DD/YY")#','#form.Email#','','#DateFormat(Now(),"MM/DD/YY")#','')
</cfquery>

<BODY>

<center>

<table BORDER="0" align="center" valign="top" width="80%">
<td valign="top" align="center">
<br><cfoutput><a href="#storeurl#"><img src="#storeurl#/images/#graphic#" border="0"></a></cfoutput></td></tr>
</table>
<br><br><center>
<font face="verdana, arial, helvetica" size=2><b>We're sorry, this transaction could not be authorized. <br>Please check your information
and try again. Thank You.<br>
</b></font><br>

<cfoutput>

<!--- UNCOMMENT TO TEST --->
	<!--- Skipjack Generated --->
	<!--- strAuthCode: #strAuthCode# <BR> --->
	<!--- strSerialNumber: #strSerialNumber# <BR> --->
	<!--- strTransactionAmount: #strTransactionAmount# <BR> --->
	<!--- strAuthorizationDeclinedMessage: #strAuthorizationDeclinedMessage# <br> --->
	<!--- strAVSResponseCode: #strAVSResponseCode# <br> --->
	<!--- strAVSResponseMessage: #strAVSResponseMessage# <br> --->
	<!--- strOrderNumber: #strOrderNumber# <br> --->
	strAuthorizationResponseCode: #strAuthorizationResponseCode# <br>
	strReturnCode: #strReturnCode#

</cfoutput>

<p>
<a href="" onClick="history.go(-1)"><font face="verdana, arial, helvetica" size=2><b>Back</b></font></a>


<cfabort>
</center>

</CFIF>

</body>
</html>



