<cfinvoke component='bluepay' method='process' returnVariable='foo'
          MERCHANT_ID = "#getParams.loginid#"
          URL         = "https://secure.bluepay.com/interfaces/bp10emu"
          TPS_KEY     = '#getParams.paypassword#'
          CARD_NUM    = #Form.CCNUMBER#
	      CARD_CVV2   = ""
          CARD_EXPIRE = "#Form.cc_expmonth##form.cc_expyear#"
          CUST_NAME   = "#form.FName# #form.LName#"
          STREET1     = "#Form.ADDRESS1# #Form.ADDRESS2#"
          CITY        = #Form.CITY#
          STATE       = #Form.STATE#
          ZIP         = #Form.ZIP#
          EMAIL       = #Form.EMAIL#
          PHONE       = #Form.PHONE#
          AMOUNT      = '#Form.GrandTotal#'
          TRANS_TYPE  = 'AUTH'
          >

<!-- Returns a struct containing:
     STATUS    = 1 = Approved, 0 = Decline, E = Error
     RESULTSTR = Human-readable description of status (ie: "APPROVED")
     RRNO      = Bluepay's Transaction ID number for reference
     AVS       = The AVS Result code from the processor
     CVV2      = The CVV2 Result from the processor
     DEBUG     = The raw string returned from Bluepay's interface, in case things fall apart.
     -->

<cfoutput>
<HTML>
<HEAD>
 <TITLE>
</cfoutput>

<cfif foo.STATUS EQ "1">
  <cfoutput>PAYMENT APPROVED</cfoutput>
<cfelse>
  <cfif foo.STATUS EQ "0">
    <cfoutput>PAYMENT DECLINED</cfoutput>
  <cfelse>
    <cfoutput>ERROR - PLEASE TRY AGAIN</cfoutput>
  </cfif>
</cfif>

</TITLE>
</HEAD>

<cfif foo.STATUS EQ "1">

<!--- ********************************************** --->
<!---          here handle the success               --->

<cfinclude template="../finish_order.cfm">

<cfabort>

<cfelse>


<!--- here handle the failure --->
<!--- ******************************** --->
<!--- Here determine next order number --->

<cfquery datasource="#datasource#" name="getordernum">
SELECT MAX(OrderNum)+1 as nextnum FROM OrdHistDetail 
</cfquery>

<cfif #LEN(getordernum.nextnum)# IS 0>
<cfset nextnum = 1>
<cfelse>
<cfset nextnum = #getordernum.nextnum#>
</cfif>

<!---       End order numbering        --->
<!--- ******************************** --->

<cfquery datasource="#datasource#" name="getcustid">
SELECT MAX(CustID)+1 as nextid FROM Customers 
</cfquery>

<cfif #LEN(getcustid.nextid)# IS 0>
<cfset nextid = 1>
<cfelse>
<cfset nextid = #getcustid.nextid#>
</cfif>

<cfset ccexpires = '#form.cc_expmonth#/#form.cc_expyear#'>

	
<cfquery datasource="#datasource#">
INSERT INTO Customers (CustID, CustFName, CustLName, CustPhone, CustEMail, CustAddress1, CustAddress2, CustCity, CustState, CustZip, CustCountry, LastOrderID, LastOrderDate, LastOrderAmt, CCName, CCType, CCNum, CCExpires, CustPWord)  
VALUES(#nextid#,'#form.FName#','#form.LName#','#form.Phone#','#form.Email#','#form.Address1#','#form.Address2#','#form.City#','#form.State#','#form.Zip#','#form.Country#','#OrderID#',
'#DateFormat(Now(),"MM/DD/YY")#',0,'#form.CCName#','#form.CCType#','#form.CCNumber#','#ccexpires#','')
</cfquery>

<cfloop query="showorder">
<cfquery datasource="#datasource#">
INSERT INTO OrderHist (OrderNum, CustID, ItemID, SKU, Quantity, ItemTotal, TotItemWeight, Att1, Att2, Status)  
VALUES(#nextnum#,#nextid#,2,'',0,0,0,'','','Bad Order')
</cfquery>
</cfloop>

<cfquery datasource="#datasource#">
INSERT INTO OrdHistDetail (OrderNum, CustID, GrandTotal, Shipping, SalesTax, OrderDate, CustEMail, Notes, ShipDate, ShipMethod)  
VALUES(#nextnum#,#nextid#,0,0,0,'#DateFormat(Now(),"MM/DD/YY")#','#form.Email#','','#DateFormat(Now(),"MM/DD/YY")#','')
</cfquery>

<BODY>

<center>

<table BORDER="0" align="center" valign="top" width="80%">
<td valign="top" align="center">
<br><cfoutput><a href="#storeurl#"><img src="#storeurl#/images/#graphic#" border="0"></a></cfoutput></td></tr>
</table>
<br><br><center>
<font face="verdansn, arial, helvetica" size=2><b>We're sorry, this transaction could not be authorized. <br>Please use your browser's "BacK' button to check your information
and try again. Thank You.<br>
<cfoutput>#foo.RESULTSTR#</cfoutput></b></font><br>


<p>

<cfabort>
</center>
</CFIF>



</body>
</html>
