<cfquery datasource="#datasource#" name="product_detail">
SELECT Products.*,ProdPics.* FROM Products 
INNER JOIN ProdPics ON Products.ItemID=ProdPics.ItemID  
WHERE Products.ItemID = <cfqueryparam value="#URL.ItemID#" cfsqltype="CF_SQL_NUMERIC">
</cfquery>

<cfif #product_detail.RecordCount# LTE 0>
<cfquery datasource="#datasource#" name="product_detail">
SELECT Products.*,Categories.* FROM Products
INNER JOIN Categories on Products.CategoryID = Categories.CategoryID
<cfif #parameterexists(URL.CategoryID)#>
WHERE Products.CategoryID = <cfqueryparam value="#URL.CategoryID#" cfsqltype="CF_SQL_NUMERIC"> AND Products.ItemID = #URL.ItemID# 
</cfif> 
ORDER BY Products.CategoryID,Products.ItemName
</cfquery>
</cfif>

<!--- ************************ --->


<!--- ***************** PAGE HEADER INCLUDE ******************* --->
<cfinclude template="page_header.cfm">
<!--- ***************** PAGE HEADER INCLUDE ******************* --->


<cfoutput>
<!-- Puts a view cart button under categories on product page whether or not you
have begun shopping -->
<form name="viewcart" action="insertorder.cfm?#URLToken#" method="post">
<input type="hidden" name="OrderID" value=#OrderID#>
<table>
<tr><td><input type="image" src="images/viewcart.gif" alt="view cart" border="0">
    </td></tr>
</table>
</form>
</center>
</cfoutput>

<center>
<cfoutput query="product_detail">
<form name="insert" action="insertorder.cfm?#URLToken#" method="post">
<input type="hidden" name="ItemID" value=#ItemID#>
<input type="hidden" name="Price" value=#Price#>
<input type="hidden" name="Weight" value=#Weight#>
<input type="hidden" name="OrderID" value=#OrderID#>
<input type="hidden" name="DiscAmt" value=#DiscAmt#>
<input type="hidden" name="DiscIsPct" value=#DiscIsPct#>
<input type="hidden" name="DiscTrigger" value=#DiscTrigger#>

<table cellspacing="0" cellpadding="5" border="0" width="60%">

<!--- ************************************* --->
<!--- THIS IS THE TABLE CODE FOR LAYOUT "L" --->
<!--- ************************************* --->

<tr>
<cfif #parameterexists(ItemPic)#>

<cfif #product_detail.Layout# IS "L">

<td colspan="3" valign="bottom"><img src="#storeurl#/images/#ItemPic#"></td>
<td colspan="4" valign="bottom"><cfif #product_detail.New# IS 1><img src="images/new.gif" border="0"></cfif> <br><font class="text">#Description#</font></td></tr>

<tr><td colspan="7"><font class="boldtext">#ItemName#</font> &nbsp;&nbsp;&nbsp;<font class="text"><cfif #product_detail.Show_Inventory# IS 1>(Qty in stock: #Qty_In_Stock#)</cfif></font></td></tr>

<!--- END LAYOUT "L" --->

<cfelseif #product_detail.Layout# IS "R">

<!--- ************************************* --->
<!--- THIS IS THE TABLE CODE FOR LAYOUT "R" --->
<!--- ************************************* --->

<td colspan="4" valign="bottom"><cfif #product_detail.New# IS 1><img src="images/new.gif" border="0"></cfif> <br><font class="text">#Description#</font></td><td colspan="3" valign="bottom"><img src="#storeurl#/images/#ItemPic#"></td></tr>

<tr><td colspan="7"><font class="boldtext">#ItemName#</font> &nbsp;&nbsp;&nbsp;<font class="text"><cfif #product_detail.Show_Inventory# IS 1>(Qty in stock: #Qty_In_Stock#)</cfif></font></td></tr>

<!--- END LAYOUT "R" --->

<cfelseif #product_detail.Layout# IS "T">

<!--- ************************************* --->
<!--- THIS IS THE TABLE CODE FOR LAYOUT "T" --->
<!--- ************************************* --->

<td colspan="7" valign="bottom"><img src="#storeurl#/images/#ItemPic#"></td></tr>
<tr><td colspan="7" valign="bottom"><cfif #product_detail.New# IS 1><img src="images/new.gif" border="0"></cfif> <br><font class="text">#Description#</font></td></tr>
<tr><td colspan="7"><font class="boldtext">#ItemName#</font> &nbsp;&nbsp;&nbsp;<font class="text"><cfif #product_detail.Show_Inventory# IS 1>(Qty in stock: #Qty_In_Stock#)</cfif></font></td></tr>

<!--- END LAYOUT "T" --->

<cfelseif #product_detail.Layout# IS "B">

<!--- ************************************* --->
<!--- THIS IS THE TABLE CODE FOR LAYOUT "B" --->
<!--- ************************************* --->

<td colspan="7" valign="bottom"><cfif #product_detail.New# IS 1><img src="images/new.gif" border="0"></cfif> <br><font class="text">#Description#</font></td></tr>
<tr><td colspan="7" valign="bottom"><img src="#storeurl#/images/#ItemPic#"></td></tr>
<tr><td colspan="7"><font class="boldtext">#ItemName#</font> &nbsp;&nbsp;&nbsp;<font class="text"><cfif #product_detail.Show_Inventory# IS 1>(Qty in stock: #Qty_In_Stock#)</cfif></font></td></tr>

<!--- END LAYOUT "B" --->

</cfif>



<cfelse><td colspan="7" width="30%"><cfif #New# IS 1><img src="images/new.gif" border="0"></cfif> <br><font class="text">#Description#</font></td></cfif>
</tr>


</cfoutput>
<tr>
<cfif NOT #product_detail.A1Vals# CONTAINS "$" AND NOT #product_detail.A2Vals# CONTAINS "$">
<td><font class="boldtext">Price</font></td>
<cfelse>
<td width="1%">&nbsp;</td>
</cfif>
<cfoutput query="product_detail">
<td width="15%"><font class="boldtext">Qty</font></td>
<td width="25%"><font class="boldtext"><cfif #LEN(product_detail.A1)# GT 0>#product_detail.A1#<cfelse>&nbsp;</cfif></font></td>
<td width="25%"><font class="boldtext"><cfif #LEN(product_detail.A2)# GT 0>#product_detail.A2#<cfelse>&nbsp;</cfif></font></td>
<td colspan="3" width="40%">&nbsp;</td>
</cfoutput>
</tr>


<cfoutput query="product_detail">
<tr>
<cfif NOT #A1Vals# CONTAINS "$" AND NOT #A2Vals# CONTAINS "$">
<td bgcolor="E2E2E2" nowrap><font class="text"><cfif #MSRP# GT 0>#REG# <strike>#NumberFormat(MSRP, '$999.99')#</strike> <br>#SALE# #TRIM(NumberFormat(Price,"$999,999,999.99"))#<cfelse>#TRIM(NumberFormat(Price,"$999,999,999.99"))#</cfif></font></td>
<cfelse>
<td>&nbsp;</td>
</cfif>
<td bgcolor="E2E2E2" nowrap valign="bottom"><font class="text"><input type="text" name="qty" value=1 size="3"> <cfif #LEN(Units)# GT 0>#Units#</cfif></font></td>
</cfoutput>

<cfif #LEN(product_detail.A1)# GT 0>
<td bgcolor="E2E2E2" width="15%">
<select name="att1">
	<cfset attarray = #ListToArray(product_detail.A1Vals, ",")#> 
	<CFLOOP index=i FROM=1 TO=#ArrayLen(attarray)#>
	<cfoutput>
	<option>#attarray[i]#</option>
	</cfoutput>
	</cfloop>
</select>
</td>
<cfelse>
<td bgcolor="E2E2E2">&nbsp;</td>
</cfif>

<cfif #LEN(product_detail.A2)# GT 0>
<td bgcolor="E2E2E2">
<select name="att2">
	<cfset attarray2 = #ListToArray(product_detail.A2Vals, ",")#> 
	<CFLOOP index=i FROM=1 TO=#ArrayLen(attarray2)#>
	<cfoutput>
	<option>#attarray2[i]#</option>
	</cfoutput>
	</cfloop>
</select>
</td>
<cfelse>
<td bgcolor="E2E2E2" width="5%">&nbsp;</td>
</cfif>
<cfoutput query="product_detail">
<td bgcolor="E2E2E2" colspan="4"><font class="text"><cfif #shipmethod# is "weight">#NumberFormat(Weight,'____.__')# Ounces<cfelse>&nbsp;</cfif></font></td>
</cfoutput>
</tr>

<tr><td bgcolor="FFFFFF" colspan="7"><input type="image" name="submit" src="images/addtocart.gif" border="0"></td></tr>
</table>
</form>
</center>

		<cfinclude template="page_footer.cfm">
<cfabort>




