<CFPROCESSINGDIRECTIVE
    SUPPRESSWHITESPACE="Yes">

<cfquery datasource="#datasource#" name="product_detail">
SELECT * FROM Products 
WHERE Products.ItemID > 1
</cfquery>

<cfquery datasource="#datasource#" name="check_cats">
SELECT * FROM Categories 
WHERE Category <> 'Dummy'
</cfquery>

<cfif #check_cats.RecordCount# IS 0>
	<cfquery datasource="#datasource#" name="prodpage">
	SELECT * FROM Products 
	WHERE ItemID > 1 
	</cfquery>

<cfelse>	

	<cfquery datasource="#datasource#" name="prodpage">
	SELECT Products.*,Categories.*,ProdPics.* FROM ProdPics
	RIGHT JOIN (Categories INNER JOIN Products ON Products.CategoryID = Categories.CategoryID) ON Products.ItemID = ProdPics.ItemID
	<cfif #parameterexists(URL.CategoryID)#>
	WHERE Products.CategoryID = <cfqueryparam value="#URL.CategoryID#" cfsqltype="CF_SQL_NUMERIC"> AND Products.SubCatID = 0
	<cfelseif #parameterexists(URL.SubCatID)#>
	WHERE Products.SubCatID = <cfqueryparam value="#URL.SubCatID#" cfsqltype="CF_SQL_NUMERIC">
	</cfif>
	ORDER BY Products.CategoryID,Products.ItemName
	</cfquery>

	<cfquery datasource="#datasource#" name="prodcats">
	SELECT * FROM Categories 
	WHERE EXISTS
	(SELECT Products.*,Categories.* FROM Products, Categories
	WHERE Products.CategoryID = Categories.CategoryID)
	ORDER BY Categories.Category
	</cfquery>
</cfif>


<!--- ***************** PAGE HEADER INCLUDE ******************* --->
<cfinclude template="page_header.cfm">
<!--- ***************** PAGE HEADER INCLUDE ******************* --->

<br>

<cfif #parameterexists(URL.CategoryID)# IS "No" AND #parameterexists(URL.SubCatID)# IS "No">
	<cfif #check_cats.RecordCount# GT 0>
	
		<cfoutput query="prodcats">
		<cfif #CategoryID# GT 1><font class="boldtext"><a href="prodpage.cfm?#URLToken#&CategoryID=#CategoryID#">#prodcats.Category#</a></font><br></cfif>
		</cfoutput>
	
	</cfif>
	<cfoutput>
	<form name="search" action="search.cfm?#URLToken#" method="POST">
	<input type="hidden" name="OrderID" value=#OrderID#>
	</cfoutput>
	<table BORDER="0" align="center" valign="top" width="80%">
	<tr><td valign="top" align="center">
	<input type="text" name="keyword" size="12"> <br><input type="image" name="SUBMIT" src="images/search.gif" border="0">
	</td></tr>
	</table>
	</form>
<cfelse>
	<cfif #template# IS "">
	<center><cfoutput><font class="boldtext"><a href="prodpage.cfm?#URLToken#">ALL CATEGORIES</a></font></cfoutput></center>
	</cfif>
</cfif>

<!-- This section shows only when user clicks on a category -->	
<center>

<!--- ****************************************************************************** --->
<!--- This part handles behavior resulting from shopper clicking on a category link  --->
<!--- ****************************************************************************** --->

	<cfif #parameterexists(URL.CategoryID)#>
		<cfquery datasource="#datasource#" name="find_subcats">
		SELECT * FROM SubCats 
		WHERE TopCatID = <cfqueryparam value="#URL.CategoryID#" cfsqltype="CF_SQL_NUMERIC"> 
		ORDER BY SubCat
		</cfquery>

		<cfoutput><center><font class="boldtext">#prodpage.Category#</font></center></cfoutput><br>
		
		
		<center>
		<table cellspacing="4" cellpadding="4" border="0" width="80%">
		
		<cfoutput query="prodpage">
		<cfif #Qty_In_Stock# GT 0 OR #Shipable# IS 1>
		<form action="insertorder.cfm?#URLToken#" method="post">
		<input type="hidden" name="qty" value="1">
		<input type="hidden" name="ItemID" value="#ItemID#">
		<input type="hidden" name="Price" value="#Price#">
		<input type="hidden" name="Weight" value=#Weight#>
		<input type="hidden" name="OrderID" value=#OrderID#>
		<tr>
		<td align="left" valign="bottom">
		<a href="proddetail.cfm?#URLToken#&ItemID=#ItemID#&CategoryID=#CategoryID#"><cfif #LEN(ItemPic)# GT 0><img src="images/#Thumbnail#" border="0"><cfelse><img src="images/th_noprod.gif" border="0"></cfif></a><br>
		<font class="boldtext"><a href="proddetail.cfm?#URLToken#&ItemID=#ItemID#&CategoryID=#CategoryID#">#ItemName#</a></font>
		</td>
		<td colspan="2" valign="bottom"><font class="text">#description#</font>
		</td>
		<cfif NOT #prodpage.A1Vals# CONTAINS "$">
		<td align="right" valign="bottom" nowrap><font class="text">#TRIM(NumberFormat(Price,"$999,999,999.99"))#</font> <input type="image" src="images/addtocart.gif" valign="bottom">
		<cfelse>
		&nbsp;
		</cfif>
		</tr>
		</form>
		<tr><td colspan="5">&nbsp;</td></tr>
		</cfif>
		</cfoutput>
		
		</table>
		</center>

				
		<cfif #find_subcats.recordCount# GT 0>
		
		<center>
		<table cellspacing="0" cellpadding="4" border="0" width="70%">
		
		<tr>
		
		<td colspan="4" bgcolor="fffFFF" align="center" valign="top">
		<cfoutput query="find_subcats">
		<a href="prodthumbs3.cfm?#URLToken#&SubCatID=#find_subcats.SubCatID#"><font class="boldtext">#find_subcats.SubCat#</font></a><br>
		</cfoutput></td>
		</tr>
		
		</table></center><br>
		</cfif>

		
		
		</center>
		<cfabort>

<!--- ********************************************************************************** --->
<!-- This part handles behavior resulting from shopper clicking on a sub-category link  -->
<!--- ********************************************************************************** --->

	<cfelseif #parameterexists(URL.SubCatID)#>
		<cfquery datasource="#datasource#" name="getsubcats">
		SELECT DISTINCT SubCat FROM SubCats 
		WHERE SubCatID = <cfqueryparam value="#URL.SubCatID#" cfsqltype="CF_SQL_NUMERIC"> 
		</cfquery>

		<cfoutput><center><font face='verdana, arial, helvetica' SIZE='-1'><b>#getsubcats.SubCat#</b></font></center></cfoutput>

		<center>
		<table cellspacing="0" cellpadding="0" border="0" width="70%">
		
		<cfoutput query="prodpage">
		<cfif #Qty_In_Stock# GT 0 OR #Shipable# IS 1>
		<form action="insertorder.cfm?#URLToken#" method="post">
		<input type="hidden" name="qty" value="1">
		<input type="hidden" name="ItemID" value="#ItemID#">
		<input type="hidden" name="Price" value="#Price#">
		<input type="hidden" name="Weight" value=#Weight#>
		<input type="hidden" name="OrderID" value=#OrderID#>

		<tr>
		<td colspan="2" align="left" valign="middle">
		<a href="proddetail.cfm?#URLToken#&ItemID=#ItemID#&CategoryID=#CategoryID#"><cfif #LEN(ItemPic)# GT 0><img src="images/#Thumbnail#" border="0"><cfelse><img src="images/th_noprod.gif" border="0"></cfif></a><br>
		<a href="proddetail.cfm?#URLToken#&ItemID=#ItemID#&CategoryID=#CategoryID#"><font face='verdana, arial, helvetica' SIZE='-1'><b>#ItemName#</b></font></a></td>
		<td colspan="2" valign="bottom"><font class="text">#description#</font>
		</td>
		<cfif NOT #prodpage.A1Vals# CONTAINS "$">
		<td align="right" valign="bottom" nowrap><font class="text">#TRIM(NumberFormat(Price,"$999,999,999.99"))#</font> <input type="image" src="images/addtocart.gif" valign="bottom">
		<cfelse>
		&nbsp;
		</cfif>
		</tr>
		</form>
		<tr><td colspan="5">&nbsp;</td></tr>
		</cfif>
		</cfoutput>
		
		</table>
		</center>

	
		
		</center>
		<cfabort>

	</cfif>


</CFPROCESSINGDIRECTIVE>

</center>




